Package com.evopdf

# Enum ImpersonationLogonMode

java.lang.Object
java.lang.Enum<ImpersonationLogonMode>
com.evopdf.ImpersonationLogonMode

All Implemented Interfaces:
  `Serializable`, `Comparable<ImpersonationLogonMode>`, `java.lang.constant.Constable`

public enum ImpersonationLogonMode extends Enum<ImpersonationLogonMode>
The logon mode for impersonation *

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Automatic`
  Automatic logon
  `Explicit`
  Explicit logon

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static ImpersonationLogonMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ImpersonationLogonMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Automatic

    public static final ImpersonationLogonMode Automatic
    Automatic logon

  - ### Explicit

    public static final ImpersonationLogonMode Explicit
    Explicit logon

- ## Method Details

  - ### values

    public static ImpersonationLogonMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ImpersonationLogonMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()